{# heredando header y footer #}
{% extends "./plantilla.html" %}
{% load static %}
{% block contenido %}

<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="/procesarActualizacionAsignatura/" method="post" enctype="multipart/form-data" id="frm_nueva_asig">
        {% csrf_token %}
        <h6>EDITAR ASIGNATURA:</h6>
        <div class="mb-3">
            <label for="idCursoBAFA" class="form-label blanco-text">Curso:</label>
            <select  name="idCursoBAFA"  id="idCursoBAFA" data-live-search="true" data-live-search-style="startsWith" class="selectpicker"required>
                <option value="">--Seleccione el Curso--</option>
                {% for curso in cursos %}
                  <option value="{{curso.idCursoBAFA}}">{{curso.nivelCursoBAFA}}</option>
                {% endfor %}
            </select>
        </div>
        <script type="text/javascript">
            document.getElementById("id_curso").value="{{asignatura.curso.idCursoBAFA}}"
        </script>
        <input type="hidden" name="idAsignaturaBAFA" value="{{ asignatura.idAsignaturaBAFA }}">
        <div class="mb-3">
            <label for="nombreAsignaturaBAFA" class="form-label blanco-text">Nombre de la Asignatura:</label>
            <input type="text" name="nombreAsignaturaBAFA" id="nombreAsignaturaBAFA" value="{{ asignatura.nombreAsignaturaBAFA }}" class="form-control" placeholder="Ingrese el nombre de la Asignatura:" required>
        </div>
        <div class="mb-3">
            <label for="creditosAsignaturaBAFA" class="form-label blanco-text">Ingrese los Creditos de la Asingaturas:</label>
            <input type="number" name="creditosAsignaturaBAFA" id="creditosAsignaturaBAFA" value="{{ asignatura.creditosAsignaturaBAFA }}" class="form-control" placeholder="Ingrese los Creditos de la Asingaturas:" required>
        </div>
        <div class="mb-3">
            <label for="fechaInicioAsignaturaBAFA" class="form-label blanco-text">Fecha de Inicio de la Asignatura:</label>
            <input type="date" name="fechaInicioAsignaturaBAFA" id="fechaInicioAsignaturaBAFA" value="{{ asignatura.fechaInicioAsignaturaBAFA|date:'Y-m-d'}}" class="form-control" required>
        </div>
        <div class="mb-3">
            <label for="fechaFinalizacionAsignaturaBAFA" class="form-label blanco-text">Fecha de Finalizacion de la Asignatura:</label>
            <input type="date" name="fechaFinalizacionAsignaturaBAFA" id="fechaFinalizacionAsignaturaBAFA" value="{{asignatura.fechaFinalizacionAsignaturaBAFA|date:'Y-m-d'}}" class="form-control" required>
        </div>
        <div class="mb-3">
            <label for="profesorAsignaturaBAFA" class="form-label blanco-text">Ingrese el Profesor de la Asignatura:</label>
            <input type="text" name="profesorAsignaturaBAFA" id="profesorAsignaturaBAFA" value="{{asignatura.profesorAsignaturaBAFA}}" class="form-control" placeholder="Ingrese el Profesor de la Asignatura:" required>
        </div>
        <div class="mb-3">
            <label for="silaboAsignaturaBAFA" class="form-label blanco-text">Sílabo de la Asignatura:</label>
            <br>
            {% if asignatura.silaboAsignaturaBAFA %}
                <a href="{{asignatura.silaboAsignaturaBAFA.url}}" target="_blank">Ver PDF</a>
            {% endif %}
            <input type="file" name="silaboAsignaturaBAFA" id="silaboAsignaturaBAFA" accept="application/pdf" class="form-control">
        </div>
        <div class="mb-3">
            <label for="metodoEvaluacionBAFA" class="form-label blanco-text">Ingrese el Metodo de la Evaluación:</label>
            <input type="text" name="metodoEvaluacionBAFA" id="metodoEvaluacionBAFA" value="{{asignatura.metodoEvaluacionBAFA}}" class="form-control" placeholder="Ingrese el Metodo de la Evaluación:" required>
        </div>
        <div class="mb-3">
            <label for="recursosDidacticosBAFA" class="form-label blanco-text">Ingrese los Recursos de la Asingaturas:</label>
            <textarea name="recursosDidacticosBAFA" id="recursosDidacticosBAFA" cols="3" class="form-control" placeholder="Ingrese los Recursos de la Asingaturas:" required>{{asignatura.recursosDidacticosBAFA}}</textarea>
        </div>
        <br></br>
        <center>
            <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="{% url 'asignatura' %}" name="button" class="btn btn-danger">Cancelar</a>
        </center>
    </form>
  </div>

  <script type="text/javascript">
      $("#frm_nueva_asig").validate({
          rules:{
              "id_curso": {
                  required: true
              },
              "nombreAsignaturaBAFA":{
                  required: true
              },
              "creditosAsignaturaBAFA":{
                  required: true
              },
              "fechaInicioAsignaturaBAFA":{
                  required: true
              },
              "fechaFinalizacionAsignaturaBAFA":{
                  required: true
              },
              "profesorAsignaturaBAFA":{
                  required: true
              },
              "silaboAsignaturaBAFA":{
                  required: false
              },
              "metodoEvaluacionBAFA":{
                  required: true
              },
              "recursosDidacticosBAFA":{
                  required: true
              }
          },
          messages:{
              "id_curso":{
                  required: "Por favor Seleccione un nivel"
              },
              "nombreAsignaturaBAFA":{
                  required: "Debe ingresar un nombre de la Asignatura"
              },
              "creditosAsignaturaBAFA":{
                  required: "Debe ingresar los creditos necesarios "
              },
              "fechaInicioAsignaturaBAFA":{
                  required: "Debe ingresar una fecha valida"
              },
              "fechaFinalizacionAsignaturaBAFA": {
                  required: "Por favor ingrese una fecha válida"
              },
              "profesorAsignaturaBAFA":{
                  required: "Debe ingresar un Profesor de la Asignatura"
              },
              "silaboAsignaturaBAFA":{
                  required: "Debe ingresar un PDF del silabo"
              },
              "metodoEvaluacionBAFA":{
                  required: "Debe ingresar un metodo de evaluacion"
              },
              "recursosDidacticosBAFA":{
                  required: "Debe ingresar recursos didacticos"
              }
          }
      });
  </script>
  <script>
          $(document).ready(function () {
              $("#silaboAsignaturaBAFA").fileinput({
                //showUpload:false
                //showRemove: false,
                language:'es',
              });
          });
  </script>
{% endblock %}
